enum Currency {
  GBP, // British Pound
  USD, // US Dollar
  EUR, // Euro
  CZK, // Czech Crown
}

extension CurrencySymbolExtension on Currency {
  String get symbol {
    switch (this) {
      case Currency.GBP:
        return '£';
      case Currency.USD:
        return '\$';
      case Currency.EUR:
        return '€';
      case Currency.CZK:
        return 'Kč';
      default:
        throw Exception('Invalid currency');
    }
  }
}
